This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 483199 - bogus only-non-binary-in-usr-lib warning
bogus only-non-binary-in-usr-lib warning
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 02:03 EST by Ralf Corsepius
Modified: 2014-09-26 05:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 19:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-01-30 02:03:49 EST
Description of problem:

# rpmlint Coin2-devel
Coin2-devel.i386: E: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


# rpm -ql Coin2-devel | grep /usr/lib
/usr/lib/Coin2
/usr/lib/Coin2/conf
/usr/lib/Coin2/conf/coin-default.cfg
/usr/lib/libCoin.so
/usr/lib/pkgconfig/Coin.pc

Version-Release number of selected component (if applicable):
rpmlint-0.85-2.fc10.noarch

Expected results:
No warning.

Additional info:
IMO, this check in rpmlint is based on invalid assumptions.

Rationale: The fact /usr/lib* doesn't contain any binary is not at all co-related to whether something inside is arch-dependent or not. I.e. the asssumptions/basic considerations this check is based on are wrong. This check will never reach full functionality.

I recommend to remove this check.

Further: The fact it is an "E:" (error) definitely is a bug.
If this check should be kept at all, this alert's severity should be weakend.
Comment 1 Ville Skyttä 2009-02-04 15:28:23 EST
Downgraded to a warning and made false positives less likely upstream, will most likely be included in 0.86:

http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1545
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1546
Comment 2 Ralf Corsepius 2009-02-05 00:11:14 EST
(In reply to comment #1)
> Downgraded to a warning and made false positives less likely upstream,
Well, at least something :)

However, I have to reiterate: This check is a flawed design. It will never work and should be removed.
Comment 3 Ville Skyttä 2009-02-05 02:09:07 EST
Yes, it is flawed.  However I think it has its corner case uses and don't think removing it would be an improvement as long as it doesn't produce disturbing numbers of false positives, and thus have no plans to remove it until something better is available.
Comment 4 Fedora Update System 2009-03-19 19:29:31 EDT
rpmlint-0.87-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc10
Comment 5 Fedora Update System 2009-03-19 19:30:58 EDT
rpmlint-0.87-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc9
Comment 6 Fedora Update System 2009-03-23 11:56:28 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2946
Comment 7 Fedora Update System 2009-04-06 16:25:35 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-09 12:18:29 EDT
rpmlint-0.87-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Orion Poplawski 2013-06-11 17:34:26 EDT
This appears to be back in rpmlint-1.5-1.fc18.noarch:

# rpm -ql libNX_ICE-devel
/usr/include/nx/X11
/usr/include/nx/X11/ICE
/usr/include/nx/X11/ICE/ICE.h
/usr/include/nx/X11/ICE/ICEconn.h
/usr/include/nx/X11/ICE/ICElib.h
/usr/include/nx/X11/ICE/ICEmsg.h
/usr/include/nx/X11/ICE/ICEproto.h
/usr/include/nx/X11/ICE/ICEutil.h
/usr/lib64/nx/X11
/usr/lib64/nx/X11/libNX_ICE.so
# rpmlint libNX_ICE-devel
libNX_ICE-devel.x86_64: W: only-non-binary-in-usr-lib
Comment 10 Ville Skyttä 2013-06-15 06:27:57 EDT
It's not "back", it's still just the way it has been 4+ years now. See earlier comments here, especially comment 3.

It's possible to get rid of the message by rpmlint configuration: using the UsrLibBinaryException config var, or just filtering it out with addFilter.
Comment 11 David Howells 2014-02-25 14:54:39 EST
I'm seeing this with systemd unit files:

cachefilesd.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

on /usr/lib/systemd/system/cachefilesd.service
Comment 12 Fedora Update System 2014-06-26 09:28:37 EDT
rpmlint-1.5-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.5-12.fc20
Comment 13 Fedora Update System 2014-06-26 09:28:50 EDT
rpmlint-1.5-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.5-12.fc19
Comment 14 Fedora Update System 2014-06-26 22:29:14 EDT
Package rpmlint-1.5-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.5-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7806/rpmlint-1.5-12.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2014-06-30 19:23:50 EDT
rpmlint-1.5-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-09-04 10:01:42 EDT
rpmlint-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc21
Comment 17 Fedora Update System 2014-09-04 10:01:59 EDT
rpmlint-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc20
Comment 18 Fedora Update System 2014-09-04 10:02:10 EDT
rpmlint-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.6-1.fc19
Comment 19 Fedora Update System 2014-09-23 00:45:05 EDT
rpmlint-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2014-09-25 06:39:01 EDT
rpmlint-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2014-09-26 05:03:45 EDT
rpmlint-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.